using System;
using System.Linq;

namespace Takmicenje
{

    class Program
    {
        static bool Funkcija(List<int> a, string[] s)
        {
            int l = int.Parse(s[0]) - 1;
            int d = int.Parse(s[1]) - 1;
            bool moze_da_brise = true;
            while (l < d)
            {
                if (a[l] > a[l + 1])
                {
                    if (moze_da_brise)
                    {
                        moze_da_brise = false;
                        l++;
                        d--;
                        continue;
                    }
                    else
                    {
                        return false;
                    }
                }
                if (a[d] < a[d - 1])
                {
                    if (moze_da_brise)
                    {
                        moze_da_brise = false;
                        l++;
                        d--;
                        continue;
                    }
                    else
                    {
                        return false;
                    }
                }

                d--;
                l++;
            }
            return true;
        }
        static void FunkcijaISpis(List<int> a, string[] s)
        {
            if(Funkcija(a, s))
            {
                Console.WriteLine("DA");
            }
            else
            {
                Console.WriteLine("NE");
            }
        }
        static void Main(string[] args)
        {
            List<int> a = new List<int>();
            int n = int.Parse(Console.ReadLine()!);
            var s = Console.ReadLine()!.Split();
            for (int i = 0; i < n; i++)
            {
                a.Add(int.Parse(s[i]));
            }
            int q = int.Parse(Console.ReadLine()!);
            for (int i = 0; i < q; i++)
            {
                s = Console.ReadLine()!.Split();
                FunkcijaISpis(a, s);
            }



        }
    }
}